## Created: 2021-06-19
## cross-over between parents
## create a child gene

function retval = int_cross_over(id1,id2)
  n=length(id1);
  n1=int64(1+n*rand);
  id3=zeros(1,n);
  for i=1:n1-1
       id3(1,i)=id1(1,i);
  endfor
  j=n1;
  for i=1:n
      if(!ismember(id2(i),id3))
        id3(1,j)=id2(1,i);
        j++;
      endif 
  endfor 
  retval=id3;
endfunction
